Package org.apache.sysds.runtime.codegen

# Enum Class SpoofRowwise.RowType

java.lang.Object
java.lang.Enum<SpoofRowwise.RowType>
org.apache.sysds.runtime.codegen.SpoofRowwise.RowType

All Implemented Interfaces:
  `Serializable`, `Comparable<SpoofRowwise.RowType>`, `Constable`

Enclosing class:
  SpoofRowwise

public static enum SpoofRowwise.RowType extends Enum<SpoofRowwise.RowType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COL_AGG`
`COL_AGG_B1`
`COL_AGG_B1_T`
`COL_AGG_B1R`
`COL_AGG_CONST`
`COL_AGG_T`
`FULL_AGG`
`NO_AGG`
`NO_AGG_B1`
`NO_AGG_CONST`
`ROW_AGG`

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
`boolean`
`isColumnAgg()`
`boolean`
`isConstDim2(long dim2)`
`boolean`
`isRowTypeB1()`
`boolean`
`isRowTypeB1ColumnAgg()`
`static SpoofRowwise.RowType`
`valueOf(int rowType)`
Returns the enum constant of this class with the specified name.
`static SpoofRowwise.RowType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofRowwise.RowType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_AGG

public static final SpoofRowwise.RowType NO_AGG

### NO_AGG_B1

public static final SpoofRowwise.RowType NO_AGG_B1

### NO_AGG_CONST

public static final SpoofRowwise.RowType NO_AGG_CONST

### FULL_AGG

public static final SpoofRowwise.RowType FULL_AGG

### ROW_AGG

public static final SpoofRowwise.RowType ROW_AGG

### COL_AGG

public static final SpoofRowwise.RowType COL_AGG

### COL_AGG_T

public static final SpoofRowwise.RowType COL_AGG_T

### COL_AGG_B1

public static final SpoofRowwise.RowType COL_AGG_B1

### COL_AGG_B1_T

public static final SpoofRowwise.RowType COL_AGG_B1_T

### COL_AGG_B1R

public static final SpoofRowwise.RowType COL_AGG_B1R

### COL_AGG_CONST

public static final SpoofRowwise.RowType COL_AGG_CONST

## Method Details

### values

public static SpoofRowwise.RowType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SpoofRowwise.RowType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

public static SpoofRowwise.RowType valueOf(int rowType)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `rowType` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()

### isColumnAgg

public boolean isColumnAgg()

### isRowTypeB1

public boolean isRowTypeB1()

### isRowTypeB1ColumnAgg

public boolean isRowTypeB1ColumnAgg()

### isConstDim2

public boolean isConstDim2(long dim2)